For the complete documentation index, see llms.txt. Markdown versions of all pages are available by appending .md to any URL (e.g. /get-started.md).
MAX REST API
The MAX REST API provides an OpenAI-compatible REST endpoint for deploying LLMs and other GenAI models locally or in the cloud.
To create your first endpoint and start sending inference requests, see the quickstart guide.
Supported endpoints
The MAX API is compatible with a subset of the OpenAI API so you to use any existing OpenAI client to send inference requests to your MAX endpoint.
- Create response (
POST /v1/responses) - Create chat completion
(
POST /v1/chat/completions) - Create completion (
POST /v1/completions) - Create embeddings (
POST /v1/embeddings) - List models (
GET /v1/models) - Health check (
GET /health)
Parameter handling
While aiming for high compatibility, not all OpenAI body parameters are implemented. Some may be accepted as no-ops (ignored but won't cause errors) to maintain client compatibility. Each endpoint page documents only the parameters that actively affect behavior in MAX.
In addition to the OpenAI APIs, MAX provides a Prometheus-formatted metrics endpoint to help track your model's performance.